API Explorer 935 endpoints

Create Featured Api Collection

POST /obp/v7.0.0/management/api-collections/featured

OBPv6.0.0-createFeaturedApiCollection Roles: CanManageFeaturedApiCollections Api-CollectionAPI

Add an API Collection to the featured list.

User Authentication is Required. The User must be logged in. The Application must also be authenticated.

JSON request body fields (2)
api_collection_id
7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh
sort_order
1
JSON response body fields (3)
api_collection_id
7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh
featured_api_collection_id
9uy8a7e4-6d02-40e3-a129-0b2bf89de8uh
sort_order
1
Example request body
{
  "api_collection_id": "7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh",
  "sort_order": 1
}
Example success response
{
  "featured_api_collection_id": "9uy8a7e4-6d02-40e3-a129-0b2bf89de8uh",
  "api_collection_id": "7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh",
  "sort_order": 1
}
Possible errors (6)
  • OBP-20001: User not logged in. Authentication is required!
  • OBP-20006: User is missing one or more roles:
  • OBP-30079: ApiCollection not found.
  • OBP-30404: The ApiCollection is already featured.
  • OBP-30401: Could not create FeaturedApiCollection.
  • OBP-50000: Unknown Error.
Implemented by OBPv6.0.0 createFeaturedApiCollection Originally /obp/v6.0.0/management/api-collections/featured